/*
 * alarm.c
 *
 *  Created on: Jun 2, 2017
 *      Author: wn
 */


#include "stm32f1xx_hal.h"


void blink(void *handle) {
  HAL_GPIO_TogglePin(LED_GPIO_Port, LED_Pin);
}


void enableAlarm() {
  schAdd(blink, NULL, 0, 100);
}

void disableAlarm() {
  schDel(blink, NULL);
  HAL_GPIO_WritePin(LED_GPIO_Port, LED_Pin, RESET);
}
